Digi RealPort for Windows Help

Welcome to Digi RealPort for Windows Help!

Introduction

This document contains general information about operating Digi RealPort devices from Windows. It also includes information about the Digi RealPort Device Driver and Setup Wizard for Windows.

Supported Operating Systems

Microsoft Windows 2000
Microsoft Windows XP
Microsoft Windows Server 2003

Supported Products

Digi Connect Family
Digi EtherLite Family
Digi Flex Family
Digi One Family
Digi PortServer Family
Digi PortServer TS Family
Digi PortServer TS MEI Family
Digi PortServer TS W MEI Family
Digi PortServer TS M MEI Family
Digi PortServer TS H MEI Family
Digi PortServer TS P MEI Family

Software Updates

Please visit the Digi Web site for product and software support, as well as downloads of the latest Windows drivers and device firmwares.


Installing Digi RealPort for Windows

Only a user with Administrative privileges may install device drivers in Windows.

Please log on as Administrator or as a user that is a member of the Administrators group.

Running the RealPort Setup Wizard is the easiest way to install Digi RealPort devices.

Alternatively, device installation can be automated using the Command Line Interface.

It is also worth noting that Digi RealPort devices may be installed using the Microsoft Add Hardware Wizard and device information (.inf) files that ship with the RealPort software. Please consult Microsoft Windows Help for more information about the Add Hardware Wizard.


Digi RealPort Setup Wizard

Introduction

The Digi RealPort Setup Wizard is the easiest way to install your Digi RealPort device.

The Setup Wizard is part of the same software package as this help document. To run the Setup Wizard, browse to the directory containing the RealPort software package and double-click on the file, Setup.exe.

Welcome Page

The first page of the Wizard is the Welcome page.

If you do not have any devices installed, click "Next >". If you already have one or more devices installed, choose "Add a New Device" and then click "Next >".

Select Device Page

The Setup Wizard searches available networks for RealPort devices and displays those that it finds. Select the device you would like to install from the list and click "Next >".

Your device may not be detected by the Setup Wizard for a variety of reasons:

  • It is off-line;

  • It does not support device discovery (for example, Digi EtherLite, Digi PortServer and Digi PortServer II products);

  • Its discovery responses are blocked by a firewall.

If your network or host computer has firewalls or proxies installed, your device may not be detected during device discovery. If you do not see your device listed in the device discovery list, first verify that your device is powered on and connected to the network.

Next, verify your computer does not have a firewall or proxy installed. If your computer does have a firewall or proxy installed, either install the device manually by selecting <Device not listed> or, if feasible, disable the firewall and/or proxy before installing RealPort.

To install a device that is not discovered by the Setup Wizard, choose <Device not listed> from the bottom of the list and click "Next >".

Configure for Cellular Network
Check this box to indicate that this device will be used on a cellular network. Each port's network profiles will be set to Cellular.

Describe Device Page

If you selected a device from the list, please skip to the next section, "Select COM Names Page". Read this section if you selected <Device not listed>.

Model Name
First, enter the model name of the device you are installing. You may optionally leave this set to its default value, "Standard RealPort Device".

Serial Ports
Next, enter the number of physical serial ports on the device you are installing. Please choose a number between 1 and 16.

IP Address
Enter the network or I.P. address of the device you are installing. Consult your system administrator or your Digi device documentation if you are unsure what this address is.

Or MAC Addr.
To locate your device by its MAC address rather than its I.P. address, check this box and enter the MAC address of your device here.

Or Hostname
To locate your device by its DNS hostname rather that its I.P. or MAC address, check this box and enter the DNS hostname of your device here.

Device TCP Port
Enter the TCP port number of the Digi RealPort Service running on your Digi RealPort Device. Most RealPort devices run the Digi RealPort Service on port 771. Consult your system administrator or Digi device documentation if you are unsure what the port is.

Configure for Cellular Network
Check this box to indicate that this device will be used on a cellular network. Each port's network profiles will be set to Cellular.

Additional Features: Encryption
Check this box if your Digi RealPort device supports Encrypted RealPort. Checking this box does not enable Encrypted RealPort but merely indicates to the driver that your device supports this option, should you want to enable it.

Additional Features: Authentication
Check this box if your Digi RealPort device supports RealPort Authentication. Checking this box does not enable RealPort Authentication but merely indicates to the driver that your device supports this option, should you want to enable it.

Click "Next >" when you have finished describing your device and its network settings.

Select COM Names Page

The Setup Wizard automatically chooses the first available Windows COM port and maps it to the first physical port on the device. It maps subsequent available COM ports to subsequent physical ports on the device until all ports are assigned COM names.

If you would like to choose a different starting COM port, pick one from the drop-down list. The Setup Wizard will update the entries below the drop-down list to show you the new mapping of Windows COM ports to physical device ports.

Once you have selected a range of COM names and are satisfied with the mappings, choose "Next >" to complete device installation.

Installing Digi RealPort Page

This page shows the progress of device installation.

You should not be prompted for anything on this page unless you are installing an "unsigned" RealPort driver.

Unsigned drivers are typically special software builds provided by Digi for specific customers between official driver releases. If you are installing such a build, Windows may prompt you for permission to install the device and each of its COM ports. Please Ok each of these prompts or the driver may not install correctly.

Note that if you downloaded the Digi RealPort driver from the Digi Support Web site or obtained it from a CD-ROM shipped with a RealPort device, the driver is signed and you should not be prompted for confirmation.

Congratulations Page

This page concludes device installation and should indicate successful installation of your Digi RealPort device. Click "Finish" to dismiss the wizard.


Setup Wizard Command Line Interface

Introduction

The Digi RealPort Setup Wizard may be run from the command line. This is useful for automating un-attended driver installations. It also allows you to easily deploy similar driver installations across multiple machines. The command line also makes it easy to "backup" an existing installation by displaying the command line parameters you would run to reinstall the devices exactly the same way.

The Setup Wizard is part of the same software package as this help document. To run the Setup Wizard, open a Windows Command Window and browse to the directory containing the RealPort software package.

To view a comprehensive list of all available command line options, run the following command:

setup /?

A few of the more useful commands are discussed below.

Simple Device Installation Using an I.P. Address

The simplest way to install your device is to use its I.P. address.

E.g., assuming your device has the address, 192.168.0.1, make sure it's connected to the network and then run the command

setup /install /ip=192.168.0.1

The Setup Wizard will query the device to determine how many ports it has and will install them starting with the first available COM port.

If you'd like to specify the first COM port at which to begin installing ports, use the /firstport switch. E.g.,

setup /install /ip=192.168.0.1 /firstport=COM5

If you'd like to install your device without having to connect it to the network, specify the number of ports it has. E.g.,

setup /install /ip=192.168.0.1 /numports=4 /firstport=COM5

If you'd like to install your device and override the settings determined by querying the device (for instance, you only want to install the first port of a device with four ports), tell the Setup Wizard to not query the device by using the /skipquery option. E.g.,

setup /install /ip=192.168.0.1 /numports=1 /firstport=COM5 /skipquery

Advanced Device Installation

All of the device and port settings that appear in the Device Manager after a device is installed are specifiable when installing from the command line. Please refer to the command line help for details (i.e., run setup /?).

Update Devices

To update Digi RealPort software and devices, run the command:

setup /update

Remove Devices

There are two ways to remove a device. The first is to specify its I.P. address, e.g.,:

setup /remove /ip=192.168.0.1

The other method for removing a device is to specify its Multi-port serial Instance ID. To determine the Instance ID of installed devices, execute the following command:

setup /show

The Multi-port serial Instance ID is displayed in the left-most column. Determine the Instance ID of the device you'd like to remove and specify it with the /remove command. E.g.,

setup /remove /id=0

Remove All Devices and Digi RealPort software

To remove all devices from your system and simultaneously stop the Digi RealPort driver and associated support services, specify the command, /removeall. E.g.,

setup /removeall

Backup and Restore Device Configurations

If you have installed one or more devices on a machine and wish to have a simple way to reinstall them or to deploy the same configuration to another machine, run the /examine command. E.g.,

setup /examine

The Setup Wizard will display a complete installation command for each of the devices installed on the machine. Use the displayed installation commands when reinstalling devices or when deploying devices on another machine.

For instance, the easiest way to deploy devices on multiple machines is to first install the devices on one machine using the Digi RealPort Setup Wizard GUI (not the command line) by double-clicking setup.exe (if you run setup.exe from the command line, it won't display the GUI). Follow the prompts to select and install your device(s). After the device(s) are installed, go to the Device Manager and open each device's Property Page and configure the devices and ports how you would like them configured. Finally, open a Command Window and run the /examine command. The Setup Wizard will display the command line parameters you can execute from the command prompt that will result in the same installation you achieved by using the GUI.


Configuring Digi RealPort for Windows

Digi RealPort for Windows Software is configured from Windows Device Manager.

There are many ways to access Device Manager:

  • Open System Properties by going to the Start Menu > Control Panel > System. Next, click the tab marked "Hardware" and then the button entitled, "Device Manager".

  • A shortcut to opening System Properties is to type the "Windows" key and the "Break" key at the same time.

  • Instead of opening System Properties, one can access Device Manager from Computer Management, which is accessible from the Administrative Tools directory in the Start menu. Once open, click "Device Manager" on the left-hand side of the Computer Management window.

  • A shortcut to opening Computer Management is to right-click on My Computer and choose Manage.

Once Device Manager is open, find your device:
  1. Expand the category, Multi-port serial adapters.

  2. Locate your device in the list using its name or IP address.

  3. Double-click your device in the list or right-click on it and choose "Properties".

  4. Click the tab marked "Advanced" to view basic information about your device.

  5. Click the button marked "Properties..." to configure your device.


Device Configuration

Use the Device Properties tab to assign your device a name and a description and to easily change the COM names of its ports.

Use the Device Network tab to identify your device's I.P. address and network ports. You can also access the Device Discovery Wizard to automatically discover your device's settings.

Use the Device Security tab to enable or disable encryption and set authentication settings.

Use the Device Advanced tab to configure other properties of your Digi RealPort driver, such as the keep-alive mechanism.

Use the Device Watchdog tab to configure the Keep alive and External Application settings.


Device Basic Settings

Device Name

Normally, the name of the device is the name of the product followed by its I.P. address in parentheses.

E.g., "Digi Connect ME (192.168.0.123)"

To replace the I.P. address with text of your choice, enter a short name here; it will be displayed in the Device Manager in place of the I.P. address.

E.g., "Digi Connect ME (My first device)"

Device Description

The device description can be used any way you would like to store additional information about the device. It is displayed on the Advanced tab of the Device Manager Property Page for your device.

Alternative Friendly Name Display Format

Enabling this causes the name displayed in the Device Manager to use the User Name rather than the device product name.

Rename Ports...

Click the Rename Ports... button to change all the COM numbers of a device's ports. A dialog will pop up with a drop-down list of available COM ports. From the list, choose a COM port number with which to begin renumbering.

Factory Defaults...

Opens the Factory Defaults dialog, which allows you to choose what settings to reset.


Device Network Settings

Device Network Location

Choose how you would like to identify your device on the network -- by its I.P. address, by its MAC address, or by its DNS hostname. Select the corresponding radio button, IP, MAC, or DNS, and enter your device's location.

IP Address

An example I.P. address is "192.168.0.1".

MAC Address

An example MAC address is "00:40:9D:01:23:45".

Hostname

An example DNS hostname is "mydevice.digi.com".

Browse

Alternatively, you can instead search for your device using the Device Discovery Wizard. Click on the Browse... button to use the wizard.

Device Service Ports

RealPort TCP Port

This is the TCP port of the RealPort service running on the remote device. The default port number is 771. This value should match the value configured on your device.


Device Network Connection Settings

TCP Socket Behavior

Connect Timeout

If nonzero, specifies the time the driver waits (in seconds) while trying to open a connection to your Digi RealPort device. If zero, the default Windows connection timeout is used (which is generally 21 seconds).

Default

Click to reset the settings on this dialog to their default values.


Device Advanced Settings

Advanced Network Settings

Disable TCP Nagle Algorithm

If enabled, disables the TCP Nagle algorithm.

Use Event Viewer to Record Significant Port Events

If this feature is enabled and a port cannot be opened by an application, the reason why the port cannot be opened is logged to the Windows System Event Log.


Device Security Settings

Network Security

Authentication Secret

If you set an authentication secret on your device, enter that same value here. When you try to open a port, the driver and device will securely exchange keys to ensure that each side knows the "shared secret". If the values do not match, you will not be allowed to open the port.

This feature is enabled only if the remote RealPort device supports Authenticated RealPort.

Encrypt Network Traffic

Use this feature to encrypt network data sent between the RealPort driver and the remote device. By default, data is transmitted as plaintext across the network.

This feature is enabled only if the remote RealPort device supports Encrypted RealPort.

The Digi RealPort Network Service is automatically installed by the Digi RealPort Setup Wizard when you install a device. It encrypts data using TLS v1.0 and employs a 128-bit AES cipher.

TCP Port For Encrypted Traffic

Use this field to change the TCP port that the RealPort driver uses to establish an Encrypted RealPort session with the remote device. The default port is 1027.

This checkbox is not displayed if your device does not support Encrypted RealPort. See the preceding section, Encrypt Network Traffic, for more information.

Query Device

Send Query...

If your device doesn't support one or both of the security features, authentication or encryption, you may need to update its firmware. Visit http://www.digi.com/support/ and look for Firmware Updates. Read the release notes of the newer firmware and look for an indication that the firmware supports Encrypted RealPort. Follow the directions to update the firmware.

After you have updated firmware, click the Send Query... button. The driver will query the device to see what new features it supports.


Device Watchdog Settings

Keep Alive Settings

Send Keep Alive Packets

This is a mechanism that allows the Digi RealPort driver to periodically monitor its network connection with the remote RealPort device.

Sending keep-alive packets may make the driver more responsive to serial requests by allowing the driver to detect network disconnects and network problems during periods of serial inactivity. In other words, the driver may not discover network problems until it tries to send data to the remote device, such that, if keep-alive is not enabled, the driver will not learn about network disconnects until it tries to send serial data. Detecting and repairing a lost connection may take a number of seconds and will delay the time it takes to transmit serial data.

A keep-alive packet is simply an empty TCP packet sent to the device.

If keep-alive is enabled, the driver periodically sends a keep-alive packet to the device. If TCP/IP does not receive an acknowledgement from the device, it marks the connection as broken and notifies the RealPort driver.

If the network connection is broken, the driver logs this information to the Event Viewer. Next, it tries to establish a new connection. The driver will continue to try to establish a new connection until it succeeds, until the driver is disabled, or until keep-alive is turned off.

Once a new network session is established, the driver logs another event to the Event Viewer to inform you that a new network session has been established with the device.

If keep-alive is not enabled, the driver will still detect and log network events, but only when a port is open and there is serial activity.

Furthermore, some cellular connections will be torn down after a period of network inactivity. By configuring the driver to send keep-alive packets, you can ensure that the cellular link will not be torn down.

To enable the keep-alive mechanism, check the box entitled, "Send Keep Alive Packets".

Inactivity Timeout (msec.)

The default driver behavior is to send a keep-alive packet after 3 seconds of network inactivity. You may modify the frequency by entering a new value in the edit box.

Send only when ports are open

The driver normally only sends keep-alive packets if one or more ports are open by an application. To always send keep-alive packets -- even when no ports are open or active -- uncheck the box, "Send only when ports are open". Sending keep-alives all the time may make opening ports quicker by ensuring that a connection always exists to the device.

External Application Execution

Execute Command Whenever Connection Is Active

When enabled, this feature configures the driver service to execute a Windows command whenever the network session to the device is established.

If specified in the command text, the string, "%ip%", will be substituted with the actual device I.P. address.

Please enclose the name of the executable in quotes if the path to the executable contains spaces.

Note also that it may be necessary to configure the service to allow it to interact with the desktop. Otherwise, the command may not execute properly. On the "Log On" tab of the Digi RealPort Network Service Properties page, enable the feature, "Allow service to interact with desktop".

Only Execute If Device I.P. Address Has Changed

Configures the driver service to only execute the command when the first network session is established and when the device I.P. address changes.

Frequency (msec.)

Configures the driver to execute the command this often wheneven the connection is active. If disabled, the driver only executes the command once, when the new network connection is established.


Port Configuration

Use the Port Properties tab to assign your ports their own names and descriptions.

Use the Port Serial tab to set the default printer settings for your ports, and to change COM names.

Use the Port Advanced tab to modify how your ports interact with user applications.

Use the Port TCP tab to modify how your ports interact with the network.


Port Basic Settings

Port Name

Normally, the name of the port is displayed as the name of the product followed by the logical port number and the port's COM name.

E.g., "Digi Connect ME Port 1 (COM5)"

To replace the COM name with text of your choosing, enter a brief name here; it will be displayed in the Device Manager in place of the COM name.

E.g., "Digi Connect ME Port 1 (My first port)"

Port Description

The port description can be used any way you would like to store additional information about the port. It is only displayed on the Port Properties page.

Port Network Profile

The Port Network Profile determines how a port is configured to use the network.

Choose a new network profile to reset the settings for a port to a match a particular profile. Then, if needed, tweak the settings to achieve the desired port behavior.

Set Profile...

Opens the Set Port Profile dialog.


Port Serial Settings

COM Port Number

To change a port's COM name, select a different one from the drop-down list of available COM ports.

Line Settings

The line settings are used by the Windows Print Spooler to determine the default line settings of the port when printing. The line settings include baud rate, number of data bits, type of parity, number of stop bits, and type of flow control.

To change the default print spooler settings, adjust the Baud Rate, Data Bits, Parity, Stop Bits, and Flow Control settings using the drop-down lists.

Apply Print Settings on Boot

Normally, Windows only uses these lines settings as the default settings when printing. To also have RealPort configure the port with these settings on boot, check this box. Note that serial settings are sticky across COM port opens and can be changed programatically by a call to SetCommState, for instance. If not checked, Windows configures each COM port for 1200,7,e,1 on boot.

Copy Settings...

Opens a dialog so you can copy this port's settings to one or more other ports.


Port Advanced Settings

Driver Settings

Do Not Scan Modems on Boot (Serenum SkipEnumerations)

Enable this feature to stop Serenum from opening the port to scan for modems and attached devices. Otherwise, Serenum scans for modems when Windows boots or whenever the device is disabled and then enabled.

Use Event Viewer to Record Significant Port Events

If this feature is enabled and a port cannot be opened by an application, the reason why the port cannot be opened is logged to the Windows System Event Log.

Application Settings

Always Grant Port Open Requests

Turn on this feature if you want the RealPort driver to always grant open requests, even if the driver cannot communicate with the remote device at the time of the open, or even if the remote device rejects the open request.

By default, the driver will only grant an open request if it can communicate with the remote device, and only if the remote device okays the open request. For instance, if you disconnect the remote device from the network and then try to open one of its ports, the RealPort driver will reject the open request, and your application will not be able to open the port until the device is back on-line.

If this option is enabled, note that the RealPort driver may grant an open request even if the physical port on the remote device is in use by another application. The RealPort driver will continue to try to claim that port, but there is no guarantee that it will ever succeed. To the local application, it has opened the port, and it can read and write data, but the data will not really be written until the RealPort driver can claim the physical port, and the local application will not see any read data until that time, either.

Always Grant Port Open Requests

Message Settings...

Opens the Message Coalescence Settings dialog. Use these settings to have the driver accumulate complete messages before delivering read bytes to the application.

Custom Settings...

Opens the Advanced Custom Settings Dialog for the port. Custom-application RealPort settings are used by applications written specifically for RealPort.

Copy Settings...

Opens a dialog so you can copy this port's settings to one or more other ports.


Incoming Messages Settings

Driver Coalescence -- Simple Message Intelligence

Enabling Driver Coalescence causes the driver to accumulate received data before delivering it to the application. This can be useful for time-sensitive legacy applications running across wide-area networks.

Note that you need to know details about the serial protocol being used by the application and the remote serial device to properly configure the driver for message coalescence.

Off

This setting disables message coalescence. The driver indicates received data to the application as soon as it reads it from the TCP/IP stream.

Messages end with this byte

This setting enables message coalescence using an end-of-message delimiter. The driver will not reveal received bytes to the application until the indicated byte is seen in the serial stream.

Messages start with this byte

This setting enables message coalescence using a beginning-of-message indicator. This is the most complicated form of method coalescence.

Until the start byte is seen, the driver indicates received bytes to the application as soon as they arrive, just as though message coalescence were disabled.

Upon receipt of the beginning-of-message indicator, however, the driver will coalesce bytes based on two other settings, the position of the length byte and the number of overhead bytes.

... the position of the length byte is

Messages with beginning delimiters but not ending delimiters most likely are either a fixed length or include the length of the message embedded somewhere in the message.

If the length of the message is embedded within the message, set this value to indicate the position of the length byte in relation to the start byte. For instance, if the beginning-of-message byte is immediately followed by the length byte, set this value to 1.

Set this value to 0 if there is no length byte in the message.

... and there are this many other bytes

If the message is fixed-length or there are additional bytes not indicated by the length byte, specify that count here.

Consider again the previous example, in which the length byte immediately follows the beginning-of-message delimiter. If the delimiter byte is not included in the length byte and there are no other bytes not accounted for by the length byte, set this value to 1.


Port Custom Settings

Custom-application RealPort settings are generally used by applications written specifically for RealPort. These features are not guaranteed to be supported by all applications.

Always Use RTS Toggle for Flow Control

Specifies that the port always use RTS Toggle flow control, whether or not the application calls SetCommState.

Use Serial API To Alert Application If Device Goes Off-line

***************************************************************
*** WARNING!! *************************************************
This feature is for use only by custom applications. Enabling
this feature will likely cause an application to behave
erratically, unless it has been written exclusively to use this
feature. Please read these instructions carefully to learn how
use this feature with your custom application.
***************************************************************

The RealPort driver supports two methods to handle Wide Area Network (WAN) errors, such as those generated when the RealPort driver loses its TCP/IP session with the remote RealPort device.

By default, this feature is disabled and the RealPort driver seamlessly and transparently handles any and all network errors. The most common network error is that the driver loses its TCP/IP session with the remote RealPort device, either because the RealPort device is unreachable due to general network failures or because the RealPort device is rebooted or powered off.

In the event that the RealPort driver loses its TCP/IP session with the remote RealPort device, the driver will periodically attempt to reestablish a new connection with the device. The driver will also simulate a loss of hardware flow control lines by lowering each of the following signals -- DCD, DSR, and CTS. It will also simulate receipt of an Xoff character, if software flow control is being used.

In this mode, client applications will not and cannot detect network errors. Client applications are free to continue reading from and writing to RealPort ports, and to continue using the ports as they otherwise normally would. In this way, network errors are handled transparently from the client application.

However, it is sometimes useful for a client to know that a remote RealPort device is unreachable because the TCP/IP session is dropped. In this case, you can enable this feature, and the RealPort driver will then communicate network errors to the client application when the network is unreachable.

If this feature is enabled, when the network connection is dropped and a client initiates a read or a write (ReadFile or WriteFile request), the driver will immediately complete the operation and return the error, ERROR_NETWORK_UNREACHABLE. The driver will likewise complete all serial communication calls with the same response (i.e., ClearCommError, PurgeComm, SetCommState, etc.). A client application can be specifically written to recognize this error code and to respond accordingly, such as by logging the error to a file. The driver will continue to return this error code until it is able to reestablish a network connection with the remote RealPort device, at which point the driver will resume normal processing of read, write, and serial requests.


Port TCP Settings

TCP Transport Settings

Complete Write Requests Immediately (WriteFile)

If this field is checked, the driver will confirm completion of each client WriteFile request as soon as serial data is queued for transmittal. Unchecking this field (the default) causes the driver to wait to complete each WriteFile until the data has been electrically transmitted out the port.

This option may cause an application to behave unexpectedly. For instance, some applications need to know when data has been physically written, and by telling the application that data has been written before it is actually written may confuse the application or cause it to fail.

Conversely, some applications have strict timing requirements and may fail or timeout often if this option is not enabled.

This feature is disabled by default. Please thoroughly test your application if you plan to operate with this feature enabled.

Signal TXE Immediately (WaitCommEvent)

This feature is similar to the last option, Complete Write Requests Immediately, but it applies to signaling the SERIAL_EV_TXEMPTY event. A client application can ask to be signaled when the transmit buffer is drained by first calling SetCommMask and then waiting for or checking the event by calling WaitCommEvent.

Checking this field means that the driver signals SERIAL_EV_TXEMPTY as soon as serial data is queued to be transmitted. If this field is unchecked (the default), the driver will wait to signal SERIAL_EV_TXEMPTY until it has detected that all serial bytes have been electrically transmitted and there is no more serial data queued to be sent.

As with the last option, this option may cause an application to behave unexpectedly. Please thoroughly test your application if you plan to operate with this feature enabled.

Don't request line deltas (EV_CTS, EV_DSR, EV_RLSD)

The remote device normally sends changes in hardware lines to the driver. To reduce network traffic, enable this feature. Note that some applications need to know about line events and may not work properly if this feature is enabled.

Data Notification...

Opens the Data Notification Settings dialog.


Adjust Port Network Profile

Device Receive Data and Transmit Notification Triggers

Receive triggers determine when the remote device delivers incoming data to the driver. In other words, the remote device will buffer incoming serial data until a certain condition is met before it sends a TCP/IP packet to the driver. The condition depends on how many bytes are received and how long has passed since the reception of the last byte.

Note that decreasing the number of packets sent from the remote device to the driver may decrease serial throughput and increase serial latency.

The following settings are not mutually exclusive; a device may send a TCP/IP packet if triggered by either condition.

Hold data until this many bytes are received

The remote device will send a TCP/IP packet containing serial data once this many or more incoming serial bytes are received.

Or until this many msec pass since last byte

The remote device will send a TCP/IP packet containing serial data once a byte has been received and then this many milliseconds elapse before receipt of the next byte. This setting is similar to a serial inter-character timeout.

Transmit triggers determine when the device notifies the driver that outgoing data has been sent.

Having the device notify the driver more often ensures better serial throughput when sending lots of data.

These settings have less impact on serial latency than do the receive data triggers, but setting a transmit notification trigger incorrectly may still result in decreased throughput and increased latency.

Notify driver after sending this many bytes

The device will notify the driver that it has transmitted serial data once it has sent this many or more bytes.

Note that the device has a finite serial buffer with which to receive outgoing serial data from the driver. Should this buffer fill, or should the driver think this buffer is full because the device has not sent a transmit notification, the driver will stop sending data to the device and may eventually flow-control the application. As such, be sure not to set this value too high for your application.

Or this many msec pass since last update

The device will notify the driver that it has transmitted serial data once this many milliseconds elapse since the last transmit notification was sent and outgoing serial data has been transmitted since then.

Driver Receive Notification Trigger

Set this trigger to control when the driver notifies the device that it has consumed incoming data.

Like transmit notifications, the driver has to tell the remote device once it has consumed incoming serial data so that the device can pass along more data. If the driver does not update the device often enough, the serial data may be throttled.

Notify device after receiving this many bytes

The driver will notify the device that it has consumed incoming serial data once it has received this many bytes.


Updating/Removing Digi RealPort Devices and Software

The latest version of Digi RealPort for Windows is available via Microsoft Windows Update and from the Digi Web site, http://www.digi.com/.

Windows Update can automatically download and/or install software updates as they become available. Go to System Properties and click on the tab marked "Automatic Updates" to view or change your PC's Windows Update settings.

You can also download the latest software package from Digi and update manually using the Digi RealPort Setup Wizard.

You can also remove one or more devices or remove all devices and RealPort software using the Digi RealPort Setup Wizard.


Updating Digi RealPort Software

You need administrative privileges to update devices.

Please be sure you are logged on as Administrator or as a member of the Administrators group.

Run the RealPort Setup Wizard, Setup.exe, and select the option, "Update Digi RealPort Software". Click "Next >".

The Wizard now updates each installed Digi RealPort device to the latest device drivers and software.

When complete, click "Finished" to dismiss the Wizard.

Skip Device Enumerations on Update

Select to temporarily disable Serenum. This prevents Serenum from opening each of the ports after a device has been updated. Each port's original setting is restored after the update.


Removing Digi RealPort Devices from Windows

You need administrative privileges to remove devices from Windows.

Please be sure you are logged on as Administrator or as a member of the Administrators group.

Run the Digi RealPort Setup Wizard, Setup.exe, and select the option, "Remove an Existing Device". and follow the Wizard prompts.

Run the RealPort Setup Wizard, Setup.exe, and select the option, "Remove an Existing Device". Click "Next >".

Select the device or devices you want to remove. Use the Ctrl key to select multiple devices. Click "Next >" when finished.

The devices you selected are now removed from Windows. If you opted to remove all devices, the Digi RealPort device driver and any associated services will also be stopped.

When complete, click "Finished" to dismiss the Wizard.


Removing Digi RealPort for Windows Software

You need administrative privileges to remove devices and device driver software from Windows.

Please be sure you are logged on as Administrator or as a member of the Administrators group.

Run the RealPort Setup Wizard, Setup.exe, and select the option, "Remove an Existing Device". Click "Next >".

Click the button, "Select All", and then click Click "Next >".

All Digi RealPort devices are now removed from Windows. In addition, the Digi RealPort device driver and any associated services are stopped.

When complete, click "Finished" to dismiss the Wizard.


Upgrading from FAS to Digi RealPort for Windows

If you have previously installed the EtherLite driver for an EtherLite device (EtherLite 2/8/16/32/80/160/162), follow these steps to upgrade to the current RealPort driver:

  1. Uninstall the old EtherLite device driver and reboot the system.

  2. Update the EtherLite firmware using the DGIPSERV utility, which can be downloaded along with the latest firmware from the Digi Support Web site, http://www.digi.com/support/.

  3. Run the RealPort Setup Wizard to install the RealPort device driver.

  4. Note that EtherLite devices will not be detected by the RealPort Setup Wizard during device discovery. To install an EtherLite device, you will have to choose <Device not listed> and manually enter its I.P. address. See the RealPort Setup Wizard for more details.


Updating Device Firmware

Please visit the Digi Support Web site for downloads of the latest device firmwares, as well as instructions on updating your devices to the latest firmware.


Additional Notes

Please visit the Digi Web site for installation documentation, as well as product and software support and downloads of the latest Windows drivers and device firmwares.


Copyright Notices

The OpenSSL Project

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.

5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.

6. Redistributions of any form whatsoever must retain the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Eric Young

This product includes cryptographic software written by Eric Young, Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com). All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software must display the following acknowledgement: "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)". The word 'cryptographic' can be left out if the routines from the library being used are not cryptographic related :-).

4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Known Limitations

Serial Printers

If you plan to use the RealPort driver with serial printers, you have to reboot Windows or restart the print spooler after installing a device or renaming ports to see the new ports listed in the Print Spooler's list of available ports for printing. This is a known limitation of the Print Spooler, which does not detect changes in the list of available ports automatically. To restart the spooler service, open a Command Window (as Administrator) and type "net stop spooler" <ENTER> followed by "net start spooler" <ENTER>.

If you experience problems printing to a serial printer from a port, go to the device's Device Properties dialog in Device Manager and enable "Complete Write Requests Immediately" for that port.


.topic 1
Processes specified changes and dismisses dialog.

.topic 2
Cancels any changes and dismisses dialog.

.topic 2601

.topic 2602

.topic 2603
Displays the multi-port icon.

.topic 2604
Displays a port icon.

.topic 2605
Displays a computer icon.

.topic 2606
Displays a search icon.

.topic 2607

.topic 2608

.topic 2609

.topic 2610

.topic 2611

.topic 2612

.topic 2613

.topic 2614

.topic 2615

.topic 2616

.topic 11001
Displays the name of the software.

.topic 11002
Displays the company name.

.topic 11003
Displays the application copyright.

.topic 11004
Displays the company URL.

.topic 11005
Displays the support URL.

.topic 26501
The terms of the license agreement.

.topic 26502
Accepts the terms of the license agreement and proceeds to the next step.

.topic 26503
Rejects the terms of the license agreement and exits the application.

.topic 26504
Welcome to the Digi RealPort Setup Wizard.

.topic 26505
Welcome to the Digi RealPort Setup Wizard.

.topic 26506
Select to install a new Digi RealPort device on this system.

.topic 26507
Select to remove one or more existing Digi RealPort devices from this system.

.topic 26508
Select to update all of the devices to the latest version of Digi RealPort for Windows.

.topic 26509
Select to temporarily disable Serenum. This prevents Serenum from opening each of the ports after a device has been updated.  Each port's original setting is restored after the update.

.topic 26510
To continue, click Next.

.topic 26511
Displays a list of Digi RealPort devices found on your network.

.topic 26512
Removes all RealPort devices and all RealPort software from your local machine.

.topic 26513
Selects all the devices in the list.

.topic 26514
Deselects all the devices in the list.

.topic 26515
Indicates progress of device installation.

.topic 26516
Displays the progress of device installation.

.topic 26517
Displays completion text after the device has been installed.

.topic 26518
Displays completion text after the device has been installed.

.topic 26519
Displays the name of the application.

.topic 26520
Displays the version of the application.

.topic 26521
Displays the copyright for the application.

.topic 26522
Click to access the Digi Web site with a new browser window.

.topic 27501
Click to access the Digi Web site with a new browser window.

.topic 27502
Indicates that the Digi RealPort Network Service is not running. You may be unable to connect to your device unless the service is running.

.topic 27503
Indicates that the Digi RealPort Network Service is not running. You may be unable to connect to your device unless the service is running.

.topic 27504
Displays the name of the software.

.topic 27505
Displays this machine's operating system.

.topic 27506
Displays a list of Digi RealPort devices found on your network.

.topic 27507
Displays a warning that no Digi RealPort devices were found on your network.

.topic 27508
Check to indicate that this device will be used on a cellular network.

.topic 27509
Click to refresh the list of Digi RealPort devices found on your network.

.topic 27510
Enter the model name of the Digi RealPort device.

.topic 27511
Enter the number of physical serial ports on the Digi RealPort device.

.topic 27512
Enter the number of physical serial ports on the Digi RealPort device.

.topic 27513
Uses an I.P. address to locate your device on the network.

.topic 27514
Uses a MAC address to resolve the I.P. address of your device on the network.

.topic 27515
Uses a hostname to resolve the I.P. address of your device on the network.

.topic 27516
Enter the I.P. address of your Digi RealPort device.

.topic 27517
Enter the MAC address of your Digi RealPort device.

.topic 27518
Enter the hostname of your Digi RealPort device.

.topic 27519
Enter the TCP port number of the RealPort service running on your Digi RealPort device.

.topic 27520
Enter the TCP port number of the RealPort service running on your Digi RealPort device.

.topic 27521
Enter the UDP base port of the UDP socket ports. The first UDP serial port is the same as the base port, the second UDP port is the base port plus one, etc.

.topic 27522
Enter the UDP base port of the UDP socket ports. The first UDP serial port is the same as the base port, the second UDP port is the base port plus one, etc.

.topic 27523
Configures the network settings for this device to be the most reliable and most compatible with all applications.

.topic 27524
Configures the network settings for this device to be more suitable for byte-conscious or high-latency networks, such as satellite or cellular.  This setting is not appropriate for very time-sensitive applications but is appropriate for environments where there's a need to reduce network overhead.

.topic 27525
Configures the network settings for this device to use UDP to just send serial data.  This setting will save considerable overhead over TCP, but only serial data is transmitted (i.e., your application cannot set the baud rate using SetCommState).  Please configure the line settings on your device separately to match your application.

.topic 27526
Check this if the Digi RealPort device supports Encrypted RealPort.

.topic 27527
Check this if the Digi RealPort device supports RealPort Authentication.

.topic 27528
Check this if the Digi RealPort device supports RealPort compression.

.topic 27529
Check to have RealPort software registered with the Add or Remove Programs Wizard in Control Panels.

.topic 27530
Check to have RealPort software installed to C:\Program Files (or some other location) and have links created in your Start Menu.

.topic 27531
Check to have RealPort software installed to C:\Program Files (or some other location) and have links created in your Start Menu.

.topic 27532
Check to add the RealPort software directory to your PATH environment variable.  You can then access the RealPort Setup Wizard from any Command Window or from the Run menu using the application name, "rpsetup".

.topic 27533
Select the COM name of your first port from the drop-down list.

.topic 27534
Displays the COM names of the ports being installed.

.topic 27535
Click to configure your ports now.

.topic 27536
Click to configure your ports now.

.topic 27537
Displays the model name of the previous Digi RealPort device.

.topic 27538
Displays the new model name of the Digi RealPort device.

.topic 27539
Displays the number of ports on the previous Digi RealPort device.

.topic 27540
Displays the new number of ports on the Digi RealPort device.

.topic 27541
Displays the port network profiles set for the previous Digi RealPort device.

.topic 27542
Displays the new port network profiles being set for the Digi RealPort device.

.topic 27543
Displays the MAC address of the previous Digi RealPort device.

.topic 27544
Displays the new MAC address of the Digi RealPort device.

.topic 27545
Displays the network address of the previous Digi RealPort device.

.topic 27546
Displays the new network address of the Digi RealPort device.

.topic 27547
Displays the hostname of the previous Digi RealPort device.

.topic 27548
Displays the new hostname of the Digi RealPort device.

.topic 27549
Displays the TCP port of the RealPort service of the previous Digi RealPort device.

.topic 27550
Displays the new TCP port of the RealPort service of the Digi RealPort device.

.topic 27551
Displays model name and I.P. address or Device name

.topic 27552
Displays name of driver.

.topic 27553
Displays driver copyright.

.topic 27554
Displays driver patents.

.topic 27555
Displays the model of the Digi RealPort device.

.topic 27556
Displays the model of the Digi RealPort device.

.topic 27557
Displays the number of physical ports on your Digi RealPort device.

.topic 27558
Displays the number of physical ports on your Digi RealPort device.

.topic 27559
Displays a description of your Digi RealPort device.

.topic 27560
Displays a description of your Digi RealPort device.

.topic 27561
Displays the network address (IP, MAC, or DNS name) of the Digi RealPort device.

.topic 27562
Displays the network address (IP, MAC, or DNS name) of the Digi RealPort device.

.topic 27563
Click to open a browser window pointed at your device.  (Note: Not all devices support Web configuration.)

.topic 27564
Click to open a browser window pointed at your device.  (Note: Not all devices support Web configuration.)

.topic 27565
This device does not support Web configuration or the address of this device is unknown.

.topic 27566
Displays the TCP port of the RealPort service on your Digi RealPort device.

.topic 27567
Displays the TCP port of the RealPort service on your Digi RealPort device.

.topic 27568
Displays the status of the network connection between this computer and your Digi RealPort device.

.topic 27569
Displays the status of the network connection between this computer and your Digi RealPort device.

.topic 27570
Displays the security settings configured for your Digi RealPort device.

.topic 27571
Displays the security settings configured for your Digi RealPort device.

.topic 27572
Click to configure the properties of your Digi RealPort device.

.topic 27573
Displays the model name and I.P. address or Device name of your Digi RealPort device.

.topic 27574
Specifies a device's Device name.  The Device name is displayed in the Device Manager category, Multi-port serial adapters.

.topic 27575
Click to access the Digi Support site with a new browser window.

.topic 27576
Specifies a device's Device name.  The Device name is displayed in the Device Manager category, Multi-port serial adapters.

.topic 27577
Specifies a device's Device description.  The user is free to set this to anything desired.

.topic 27578
Specifies a device's Device description.  The user is free to set this to anything desired.

.topic 27579
Specifies that the name displayed in the Device Manager is the User Name rather than the device product name.

.topic 27580
Click to change the COM names of the ports on this device.

.topic 27581
Click to select settings to reset to factory defaults.

.topic 27582
Locates your device by its IP address.

.topic 27583
Locates your device by its MAC address.

.topic 27584
Locates your device by its DNS name.

.topic 27585
Enter the IP address of your Digi RealPort device.

.topic 27586
Enter the MAC address of your Digi RealPort device.

.topic 27587
Enter the DNS hostname of your Digi RealPort device.

.topic 27588
Click to Browse for your Digi RealPort device on the network.

.topic 27589
Enter the TCP port number of the RealPort service running on your Digi RealPort device.

.topic 27590
Enter the TCP port number of the RealPort service running on your Digi RealPort device.

.topic 27591
Enter the TCP port number of the RealPort service running on your Digi RealPort device.

.topic 27592
Enter the time the driver waits (in seconds) while trying to open a connection to your Digi RealPort device.

.topic 27593
Enter the time the driver waits (in seconds) while trying to open a connection to your Digi RealPort device.

.topic 27594
Enter the time the driver waits (in seconds) while trying to open a connection to your Digi RealPort device.

.topic 27595
Enter the time the driver waits (in seconds) while trying to open a connection to your Digi RealPort device.

.topic 27596
Enter the base UDP port number set on your Digi RealPort device.

.topic 27597
Enter the base UDP port number set on your Digi RealPort device.

.topic 27598
Enter the base UDP port number set on your Digi RealPort device.

.topic 27599
Displays a warning if the remote device with a specific MAC address does not have the same IP address or TCP port as indicated here.

.topic 27600
Displays a warning if the remote device with a specific MAC address does not have the same IP address or TCP port as indicated here.

.topic 27601
Click to ignore the mismatch between the I.P. address used by the driver and the I.P. address of the device at the MAC address indicated.

.topic 27602
Click to change the I.P. address used by the driver to match the I.P. address of the device at the MAC address indicated.

.topic 27603
Click to change the network connection settings for this device.

.topic 27604
Determines the maximum time per connection attempt to wait from a connection response from the remote device. If 0, the default Windows value is used. If the Nagle algorithm is disabled, each connection attempt will only consist of one network packet, otherwise each attempt could consist of multiple (generally at most three) packets. In most cases, if Nagle is enabled and this value is 0, Windows will attempt three times to reach the remote device. The first attempt will time-out after 3 seconds, the second after 6 seconds, and the third after 12 seconds, so the complete connection attempt will take at most 21 seconds. Note that the Nagle algorithm will use longer time-outs on less responsive networks.

.topic 27605
Determines the maximum time per connection attempt to wait from a connection response from the remote device. If 0, the default Windows value is used. If the Nagle algorithm is disabled, each connection attempt will only consist of one network packet, otherwise each attempt could consist of multiple (generally at most three) packets. In most cases, if Nagle is enabled and this value is 0, Windows will attempt three times to reach the remote device. The first attempt will time-out after 3 seconds, the second after 6 seconds, and the third after 12 seconds, so the complete connection attempt will take at most 21 seconds. Note that the Nagle algorithm will use longer time-outs on less responsive networks.

.topic 27606
Determines the maximum time per connection attempt to wait from a connection response from the remote device. If 0, the default Windows value is used. If the Nagle algorithm is disabled, each connection attempt will only consist of one network packet, otherwise each attempt could consist of multiple (generally at most three) packets. In most cases, if Nagle is enabled and this value is 0, Windows will attempt three times to reach the remote device. The first attempt will time-out after 3 seconds, the second after 6 seconds, and the third after 12 seconds, so the complete connection attempt will take at most 21 seconds. Note that the Nagle algorithm will use longer time-outs on less responsive networks.

.topic 27607
Determines the maximum time per connection attempt to wait from a connection response from the remote device. If 0, the default Windows value is used. If the Nagle algorithm is disabled, each connection attempt will only consist of one network packet, otherwise each attempt could consist of multiple (generally at most three) packets. In most cases, if Nagle is enabled and this value is 0, Windows will attempt three times to reach the remote device. The first attempt will time-out after 3 seconds, the second after 6 seconds, and the third after 12 seconds, so the complete connection attempt will take at most 21 seconds. Note that the Nagle algorithm will use longer time-outs on less responsive networks.

.topic 27608
Along with Retry Count, Retry Frequency specifies how often to try to connect to the remote device, in milliseconds.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27609
Retry Frequency specifies how often to try to connect to the remote device, in milliseconds, when first trying to open the connection.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27610
Retry Frequency specifies how often to try to connect to the remote device, in milliseconds, when first trying to open the connection.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27611
Retry Frequency specifies how often to try to connect to the remote device, in milliseconds, when first trying to open the connection.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27612
Retry Count specifies the number of times to try to connect to the remote device every Retry Frequency milliseconds before backing off and using the Offline Count and Offline Frequency settings.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27613
Retry Count specifies the number of times to try to connect to the remote device every Retry Frequency milliseconds before backing off and using the Offline Count and Offline Frequency settings.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27614
Retry Count specifies the number of times to try to connect to the remote device every Retry Frequency milliseconds before backing off and using the Offline Count and Offline Frequency settings.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27615
Offline Frequency specifies how often to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27616
Offline Frequency specifies how often to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27617
Offline Frequency specifies how often to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27618
Offline Frequency specifies how often to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27619
Click to restore settings on this page to their default values.

.topic 27620
Offline Count specifies how many times to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27621
Offline Count specifies how many times to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27622
Offline Count specifies how many times to try to connect to the remote device, once RealPort has already tried as many times as specified by Retry Count.

When RealPort is started, when a COM port is opened, or after RealPort loses a network connection to a device, it attempts to re-open that connection to the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort try to re-open the connection. RealPort will try up to Retry Count times every Retry Frequency milliseconds to open the connection. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the connection. If, after Retry Count + Offline Count attempts, RealPort has not been able to connect to the remote device, it gives up until the next time a COM port is opened, or until RealPort is restarted.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27623

.topic 27624

.topic 27625

.topic 27626

.topic 27627
This setting affects how often RealPort resolves a MAC address or DNS address to an IP address for ports using UDP. Normally, RealPort resolves a MAC or DNS address to an IP address only when the COM port is first opened, or if a length of time elapses since the last UDP packet was received from the device. Check this box if RealPort should resolve the IP address of a MAC or DNS address every time it sends a UDP packet to the device.

.topic 27628
Normally, RealPort opens the network connection to the remote device when RealPort starts. Enable this box if RealPort should only start and maintain the network connection when an application is accessing COM ports.

.topic 27629
Applies Gzip compression to serial data being transmitted across the network. Depending on the size of data packets, this increase or decrease the size of the network packet.

.topic 27630
Check to disable the TCP Nagle algorithm (network packets will be retransmitted without delay).

.topic 27631
Check to have the device log network activity to the System Event Log.

.topic 27632
Enable to quickly detect and recover from network errors or to prevent idle network connections from being closed. Note that this increases network traffic.

.topic 27633
The driver sends a keep alive packet after this many milliseconds of network inactivity.

.topic 27634
The driver sends a keep alive packet after this many milliseconds of network inactivity.

.topic 27635
The driver sends a keep alive packet after this many milliseconds of network inactivity.

.topic 27636
Configures the driver to not send keep alive packets unless one or more ports is open by an application.

.topic 27637
Configures the driver service to execute a Windows command whenever the network session to the device is active. The command may be executed once when the session is first created, or periodically while the session is active. It may be necessary to configure the service to allow it to interact with the desktop for the command to execute properly.

.topic 27638
Enter the command to be executed.  The string \"%ip%\" will be substituted with the device I.P. address.

.topic 27639
Configures the driver service to not execute the command except when the first network session is established or when the device I.P. address has changed.

.topic 27640
While the network connection is active, the driver executes the indicated command once every interval of this many milliseconds.

.topic 27641
While the network connection is active, the driver executes the indicated command once every interval of this many milliseconds.

.topic 27642
While the network connection is active, the driver executes the indicated command once every interval of this many milliseconds.

.topic 27643
Allows you to edit the security settings for your device.

.topic 27644
Enter the shared secret used by the driver and device to authenticate each other; leave blank if none.

.topic 27645
Enter the shared secret used by the driver and device to authenticate each other; leave blank if none.

.topic 27646
Enables encryption of all network traffic.

.topic 27647
Enter the TCP port number of the Encrypted RealPort service running on your Digi RealPort device.

.topic 27648
Enter the TCP port number of the Encrypted RealPort service running on your Digi RealPort device.

.topic 27649
Enter the TCP port number of the Encrypted RealPort service running on your Digi RealPort device.

.topic 27650
Click to query the device about what security features it supports.

.topic 27651
Click to query the device about what security features it supports.

.topic 27652
Click to query the device about what security features it supports.

.topic 27653
Select the new COM name for the first port from the drop-down list.

.topic 27654
Displays the COM names after the ports are renamed.

.topic 27655
Check to reset the device User Name and User Description.

.topic 27656
Check to reset the device network settings found on the Device Network tab.

.topic 27657
Check to reset the advanced device network settings found on the Advanced tab.

.topic 27658
Check to reset the device security settings found on the Security tab.

.topic 27659
Check to reset the device watchdog settings found on the Watchdog tab.

.topic 27660
Check to query the device about its product type, firmware revision and feature set.

.topic 27661
Check to reset the port User Name and User Description.

.topic 27662
Check to reset the port serial settings found on the Serial tab.

.topic 27663
Check to reset the advanced settings and network settings for the port.

.topic 27664
Choose the default port profile for the ports on this device.

.topic 27665
Configures the network settings for each port to be the most reliable and most compatible with all applications.

.topic 27666
Configures the network settings for each port to be more suitable for byte-conscious or high-latency networks, such as satellite or cellular.  This setting is not appropriate for very time-sensitive applications but is appropriate for environments where there's a need to reduce network overhead.

.topic 27667
Configures the network settings for each port to use UDP to just send serial data.  This setting will save considerable overhead over TCP, but only serial data is transmitted (i.e., your application cannot set the baud rate using SetCommState).  Please configure the line settings on your device separately to match your application.

.topic 27668
Displays the device query progress.

.topic 27669
Displays the device query progress.

.topic 27670
Displays physical port number and COM name or Port name

.topic 27671
Specifies a port's Port name.  The Port name is displayed in the Device Manager category, Ports (COM & LPT).

.topic 27672
Specifies a port's Port name.  The Port name is displayed in the Device Manager category, Ports (COM & LPT).

.topic 27673
Specifies a port's Port description.  The user is free to set this to anything desired.

.topic 27674
Specifies a port's Port description.  The user is free to set this to anything desired.

.topic 27675
Displays the status of the physical port, which isn't mapped to a COM name.  Click the checkbox of the port in the tree on the left to enable the port.

.topic 27676
Allows configuration of the port network profile.

.topic 27677
Shows the network profile configured for this port.

.topic 27678
Click to change the network profile for this port.

.topic 27679
Click to copy this port's settings to one or more other ports.

.topic 27680
Select the COM names of the other ports on this device to which you would like to copy this port's settings.

.topic 27681
Check to restrict the settings to be copied to be only those found on this page. Otherwise, all port attributes are copied to the selected ports.

.topic 27682
Specifies a port's COM name.  To change a port's COM name, choose an available name from the drop-down list.

.topic 27683
Specifies a port's COM name.  To change a port's COM name, choose an available name from the drop-down list.

.topic 27684
Configures the default baud rate to use when printing.

.topic 27685
Configures the default parity bits to use when printing.

.topic 27686
Configures the default word size to use when printing.

.topic 27687
Configures the default number of stop bits to use when printing.

.topic 27688
Configures the default flow control to use when printing.

.topic 27689
Normally, Windows only uses these settings as the default settings when printing. To also have RealPort configure the port with these settings on boot, check this box. Note that serial settings are sticky across COM port opens and can be changed programatically by a call to SetCommState, for instance.

.topic 27690
Click to copy this port's settings to one or more other ports.

.topic 27691
Click to view the complete configuration dialog for this port and its device.

.topic 27692
Click to display detailed help about the properties on this page.

.topic 27693
Specifies that the Microsoft Serenum driver should not enumerate devices and modems attached to this port.

.topic 27694
Specifies that the port not write to the System Log (otherwise it records why it cannot be opened when CreateFile fails).

.topic 27695
Ensures local COM port can always be opened but doesn't guarantee physical port on device is available.

.topic 27696
Some communication functions block while the driver confirms that the device has completed a task (e.g., EscapeCommFunction, SetCommState). This wait is normally on the order of milliseconds but may be delayed by seconds or minutes if TCP is retransmitting packets. Check this box if you want all communication fucntion calls to return immediately.

For instance, if an application calls EscapeCommFunction and specifies CLRDTR, EscapeCommFunction blocks until RealPort confirms that the remote device has lowered DTR. While in most circumstances the blocking only takes a matter of milliseconds, if the network connection were to be severed while this call was pending, an application might block for up to thirty seconds while the Windows network stack tries retransmitting the unacknowledged network packets. To avoid this situation, check this box; an application's serial comm API calls will never block, but some calls may return to the application before the actual call is fully processed.

Note that this feature does not apply to WriteFile calls. To specify that WriteFile calls not block, enable the option, Complete Write Requests Immed., found on the TCP page.

.topic 27697
Click to configure driver to coalesce multiple bytes before exposing incoming data to application.

.topic 27698
Click to configure how RealPort handles application serial write data when the network is detached or detaching.

.topic 27699
Click to configure custom-application RealPort settings (for applications written specifically for RealPort).

.topic 27700
Click to copy this port's settings to one or more other ports.

.topic 27701
Click to display detailed help about the properties on this page.

.topic 27702
Disables driver message coalescing.

.topic 27703
Enables driver message coalescing based on an end-of-message byte.

.topic 27704
Enables driver message coalescing based on a beginning-of-message byte, a length byte, and a number of overhead bytes.

.topic 27705
The driver will not expose incoming data to the application until it sees this byte.

.topic 27706
The driver will not expose incoming data to the application until it sees this byte.

.topic 27707
The driver recognizes the beginning of a message by this byte.

.topic 27708
The driver recognizes the beginning of a message by this byte.

.topic 27709
Specify the position of the byte that includes the length of the message.  A position of 0 means there is no length byte.

.topic 27710
Specify the position of the byte that includes the length of the message.  A position of 0 means there is no length byte.

.topic 27711
Specify the position of the byte that includes the length of the message.  A position of 0 means there is no length byte.

.topic 27712
Specify how many extra bytes there are after the beginning-of-message byte.  These bytes are not indicated by the length byte.

.topic 27713
Specify how many extra bytes there are after the beginning-of-message byte.  These bytes are not indicated by the length byte.

.topic 27714
Specify how many extra bytes there are after the beginning-of-message byte.  These bytes are not indicated by the length byte.

.topic 27715
Specifies how long RealPort waits for a complete message before timing-out and processing what bytes it already has received.

.topic 27716
Specifies how long RealPort waits for a complete message before timing-out and processing what bytes it already has received.

.topic 27717
Specifies how long RealPort waits for a complete message before timing-out and processing what bytes it already has received.

.topic 27718
Specifies how long RealPort waits for a complete message before timing-out and processing what bytes it already has received.

.topic 27719
Specifies how long RealPort waits for a complete message before timing-out and processing what bytes it already has received.

.topic 27720
Specifies that RealPort throw away incomplete messages if the time-out expires.

.topic 27721
Specifies that RealPort deliver incomplete messages to the application if the time-out expires.

.topic 27722
Specifies how long RealPort should try to resend an application's write data if the network is unavailable when the write is requested.

.topic 27723
Specifies how long RealPort should try to resend an application's write data if the network is unavailable when the write is requested.

.topic 27724
Specifies how long RealPort should try to resend an application's write data if the network is unavailable when the write is requested.

.topic 27725
Specifies how long RealPort should try to resend an application's write data if the network is unavailable when the write is requested.

.topic 27726
Specifies the maximum number of bytes RealPort should try to resend when buffering unsendable data.

.topic 27727
Specifies the maximum number of bytes RealPort should try to resend when buffering unsendable data.

.topic 27728
Specifies the maximum number of bytes RealPort should try to resend when buffering unsendable data.

.topic 27729
Specifies what RealPort does with additional write data once the maximum number of bytes of buffered unsendable data has been reached.

.topic 27730
Specifies that RealPort overwrite the oldest write data once the maximum number of bytes of buffered unsendable data has been reached.

.topic 27731
Specifies that RealPort ignore additional write data once the maximum number of bytes of buffered unsendable data has been reached.

.topic 27732
Specifies that the port always use RTS Toggle flow control, whether or not the application calls SetCommState.

.topic 27733
Specifies that the port not double-check and request an updated event packet from the device. Used to be needed for legacy RAS software.

.topic 27734
Specifies that the application using this port is custom-written to understand network error codes, which are not defined by the Microsoft Serial API.

.topic 27735
Reduces latency for applications waiting on WriteFile completion.

.topic 27736
Specifies that RealPort should pend completion of an application's request to close the COM port until it verifies that all write data has been transmitted.

.topic 27737
Specifies how long RealPort should wait to verify that all write data has been transmitted once an application has requested to close the COM port. Note that a call to CloseHandle may block for as long as the value specified here.

.topic 27738
Specifies how long RealPort should wait to verify that all write data has been transmitted once an application has requested to close the COM port. Note that a call to CloseHandle may block for as long as the value specified here.

.topic 27739
Specifies how long RealPort should wait to verify that all write data has been transmitted once an application has requested to close the COM port. Note that a call to CloseHandle may block for as long as the value specified here.

.topic 27740
Specifies how long RealPort should wait to verify that all write data has been transmitted once an application has requested to close the COM port. Note that a call to CloseHandle may block for as long as the value specified here.

.topic 27741
Reduces latency for applications waiting on SERIAL_EV_TXEMPTY event.

.topic 27742
The remote device normally sends changes in hardware lines to the driver. To reduce network traffic, enable this feature. Note that some applications need to know about line events and may not work properly if this feature is enabled.

.topic 27743
Specifies that RealPort shouldn't actual relinguish the device connection when an application closes the COM port. Enable this for applications that close and then, soon after, re-open a COM port. This will save some network overhead, reduce latency, and prevent other applications from gaining control of the COM port.

.topic 27744
Specifies how long RealPort should wait once an application closes the COM port until actually relinguishing the port on the device. Enable this for applications that close and then, soon after, re-open a COM port. This will save some network overhead, reduce latency, and prevent other applications from gaining control of the COM port.

.topic 27745
Specifies how long RealPort should wait once an application closes the COM port until actually relinguishing the port on the device. Enable this for applications that close and then, soon after, re-open a COM port. This will save some network overhead, reduce latency, and prevent other applications from gaining control of the COM port.

.topic 27746
Specifies how long RealPort should wait once an application closes the COM port until actually relinguishing the port on the device. Enable this for applications that close and then, soon after, re-open a COM port. This will save some network overhead, reduce latency, and prevent other applications from gaining control of the COM port.

.topic 27747
Normally, whenever an application configures the settings for a port, RealPort pushes those settings down to the device, regardless of whether or not the port is already configured with those settings. Enable this setting if RealPort should not push settings for a port if the settings match how the port is already configured. This can save some network overhead.

.topic 27748
Check this box if the port on the device is being shared by other applications. Normally, when an application closes a COM port, RealPort lowers the hardware lines for that port, which can cause problems if the port is being shared and still in use by another application.

.topic 27749
Click to configure the data notification settings for this port.

.topic 27750
Click to configure the connection hehavior settings for this port.

.topic 27751
Click to copy this port's settings to one or more other ports.

.topic 27752
Click to display detailed help about the properties on this page.

.topic 27753
The Digi RealPort device will wait until it has this many serial bytes before sending a TCP packet.

.topic 27754
The Digi RealPort device will wait until it has this many serial bytes before sending a TCP packet.

.topic 27755
The Digi RealPort device will wait until it has this many serial bytes before sending a TCP packet.

.topic 27756
The Digi RealPort device will wait this many milliseconds after having last sent a TCP packet of received serial data to the driver before sending another packet.

.topic 27757
The Digi RealPort device will wait this many milliseconds after having last sent a TCP packet of received serial data to the driver before sending another packet.

.topic 27758
The Digi RealPort device will wait this many milliseconds after having last sent a TCP packet of received serial data to the driver before sending another packet.

.topic 27759
The Digi RealPort driver will wait until it has consumed this many bytes from the Digi RealPort device until it returns a TCP packet to the device indicating that it can send more serial data.

.topic 27760
The Digi RealPort driver will wait until it has consumed this many bytes from the Digi RealPort device until it returns a TCP packet to the device indicating that it can send more serial data.

.topic 27761
The Digi RealPort driver will wait until it has consumed this many bytes from the Digi RealPort device until it returns a TCP packet to the device indicating that it can send more serial data.

.topic 27762
The Digi RealPort device will wait until it has sent this many bytes of serial data before sending a TCP packet to the driver indicating that the bytes have been sent.

.topic 27763
The Digi RealPort device will wait until it has sent this many bytes of serial data before sending a TCP packet to the driver indicating that the bytes have been sent.

.topic 27764
The Digi RealPort device will wait until it has sent this many bytes of serial data before sending a TCP packet to the driver indicating that the bytes have been sent.

.topic 27765
The Digi RealPort device will wait this many milliseconds after having last sent an update before sending another TCP packet to the driver indicating that bytes have been sent.

.topic 27766
The Digi RealPort device will wait this many milliseconds after having last sent an update before sending another TCP packet to the driver indicating that bytes have been sent.

.topic 27767
The Digi RealPort device will wait this many milliseconds after having last sent an update before sending another TCP packet to the driver indicating that bytes have been sent.

.topic 27768
Click to restore settings on this page to their default values.

.topic 27769
Click to display detailed help about the properties on this page.

.topic 27770
This setting controls how the driver and device communicate serial data using UDP as the network transport.

.topic 27771
Enter the local port number to which the device will send data. Also configure this value on the device.

.topic 27772
Enter the local port number to which the device will send data. Also configure this value on the device.

.topic 27773
Enter the local port number to which the device will send data. Also configure this value on the device.

.topic 27774
Enter the length of time, in milliseconds, that the driver should wait after having last received outgoing serial data from the application before sending the data to the device. Adjust this setting if you would like to control how the driver coalesces data into each UDP packets.

.topic 27775
Enter the length of time, in milliseconds, that the driver should wait after having last received outgoing serial data from the application before sending the data to the device. Adjust this setting if you would like to control how the driver coalesces data into each UDP packets.

.topic 27776
Enter the length of time, in milliseconds, that the driver should wait after having last received outgoing serial data from the application before sending the data to the device. Adjust this setting if you would like to control how the driver coalesces data into each UDP packets.

.topic 27777
Enter the length of time, in milliseconds, that the driver should wait after having last received outgoing serial data from the application before sending the data to the device. Adjust this setting if you would like to control how the driver coalesces data into each UDP packets.

.topic 27778
Enter the maximum numbers of bytes that the driver will coalesce before sending a UDP packet. This setting complements the data collection timeout.

.topic 27779
Enter the maximum numbers of bytes that the driver will coalesce before sending a UDP packet. This setting complements the data collection timeout.

.topic 27780
Enter the maximum numbers of bytes that the driver will coalesce before sending a UDP packet. This setting complements the data collection timeout.

.topic 27781
Enter the maximum numbers of bytes that the driver will coalesce before sending a UDP packet. This setting complements the data collection timeout.

.topic 27782
.topic 27783
Click to copy this port's settings to one or more other ports.

.topic 27784
Click to display detailed help about the properties on this page.

.topic 27785
Retry Frequency specifies how often to try to open the port on the remote device, in milliseconds, when first trying to open the port.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27786
Retry Frequency specifies how often to try to open the port on the remote device, in milliseconds, when first trying to open the port.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27787
Retry Frequency specifies how often to try to open the port on the remote device, in milliseconds, when first trying to open the port.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27788
Retry Frequency specifies how often to try to open the port on the remote device, in milliseconds, when first trying to open the port.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27789
Retry Count specifies the number of times to try to open the port on the remote device before backing off and using the Offline Count and Offline Frequency settings.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27790
Retry Count specifies the number of times to try to open the port on the remote device before backing off and using the Offline Count and Offline Frequency settings.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27791
Retry Count specifies the number of times to try to open the port on the remote device before backing off and using the Offline Count and Offline Frequency settings.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27792
Offline Frequency specifies how often to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27793
Offline Frequency specifies how often to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27794
Offline Frequency specifies how often to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27795
Offline Frequency specifies how often to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27796
Offline Count specifies how many times to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27797
Offline Count specifies how many times to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27798
Offline Count specifies how many times to try to open the port on the remote device, once RealPort has already tried as many times as specified by Retry Count.

When a COM port is opened, or after a network connection is lost and reconnected, RealPort attempts to re-open the port on the remote device. The four settings, Retry Frequency, Retry Count, Offline Frequency, and Offline Count, dictate how RealPort tries to re-open the port. RealPort will try up to Retry Count times every Retry Frequency milliseconds to acquire the port. If RealPort tries the same number of times as Retry Count without success, it then tries Offline Count times every Offline Frequency milliseconds to open the port. If, after Retry Count + Offline Count attempts, RealPort has not been able to acquire the port, it gives up until the next time the COM port is opened, or until the network connection is lost and reconnected again.

One should use these settings to throttle network traffic. E.g., for cellular customers who pay by the byte, you wouldn't want to retry a connection very aggressively, because that would cost a lot of money.

.topic 27799
Display statistics about local data.

.topic 27800
Display statistics about remote data.

.topic 27801
Resets all statistics being collected for this device.

.topic 27802
Click to display detailed help about the properties on this page.

.topic 27803
Configures the network settings for this device to be the most reliable and most compatible with all applications.

.topic 27804
Configures the network settings for this device to be more suitable for byte-conscious or high-latency networks, such as satellite or cellular.  This setting is not appropriate for very time-sensitive applications but is appropriate for environments where there's a need to reduce network overhead.

.topic 27805
Configures the network settings for this device to use UDP to just send serial data.  This setting will save considerable overhead over TCP, but only serial data is transmitted (i.e., your application cannot set the baud rate using SetCommState).  Please configure the line settings on your device separately to match your application.

.topic 27806
Check to have the new port profile applied to all ports on this device.